Page MenuHomePhabricator

Add French namespace translations to the Wikibase repository
Closed, ResolvedPublic

Description

As for T181927, could you add French namespace translations.
Here is the code to add in Wikibase.i18n.namespaces.php

$namespaceNames['fr'] = [
	WB_NS_ITEM      => 'Élément',
	WB_NS_ITEM_TALK => 'Discussion élément',
	WB_NS_PROPERTY      => 'Propriété',
	WB_NS_PROPERTY_TALK => 'Discussion propriété',
	WB_NS_QUERY      => 'Requête',
	WB_NS_QUERY_TALK => 'Discussion requête',
];

And for "Lexeme", I am not sure the file is WikibaseLexeme.i18n.alias.php. Anyway, the French translation of "Lexeme" is "Lexème".

Thanks in advance.

Event Timeline

Change 616196 had a related patch set uploaded (by African Hope; owner: African Hope):
[mediawiki/extensions/Wikibase@master] Add translations for French namespace

https://gerrit.wikimedia.org/r/616196

@Lydia_Pintscher Where would these translations appear? Would like to validate this locally.

@Lydia_Pintscher Where would these translations appear? Would like to validate this locally.

You would need set your wiki language to French

Thanks, I tried that and the namespace translations don't appear, in fact, they don't appear in any language. @Lucas_Werkmeister_WMDE and I opened a ticket at T260073 for a followup.

Change 616196 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add translations for French namespace

https://gerrit.wikimedia.org/r/616196

This needs WikibaseLexeme done too. I will take care of that once I figure out why they don't show up.

This needs WikibaseLexeme done too. I will take care of that once I figure out why they don't show up.

Hello @Ladsgroup,

In WikibaseLexeme.i18n.alias.php, in French :

/** French (français) */
$specialPageAliases['fr'] = [
 	'NewLexeme' => [ 'NouveauLexèmes' ],
	'MergeLexemes' => [ 'FusionnerLexèmes' ],
];

Change 619360 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Add French translation for Special pages

https://gerrit.wikimedia.org/r/619360

This needs WikibaseLexeme done too. I will take care of that once I figure out why they don't show up.

Hello @Ladsgroup,

In WikibaseLexeme.i18n.alias.php, in French :

/** French (français) */
$specialPageAliases['fr'] = [
 	'NewLexeme' => [ 'NouveauLexèmes' ],
	'MergeLexemes' => [ 'FusionnerLexèmes' ],
];

Oups @Ladsgroup,
First "Lexème" without final "s":

/** French (français) */
$specialPageAliases['fr'] = [
 	'NewLexeme' => [ 'NouveauLexème' ],
	'MergeLexemes' => [ 'FusionnerLexèmes' ],
];

oh, thanks. Fixed!

Once again @Ladsgroup ,

  • For 'NewLexeme' is in the singular, therefore 'NouveauLexème' (creation of a single lexeme)
  • For 'MergeLexemes' is plural, so 'FusionnerLexèmes' (always a merge between two lexemeS)

So it's the reverse: the first without s and the second with an s, as in English.

 	'NewLexeme' => [ 'NouveauLexème' ],
	'MergeLexemes' => [ 'FusionnerLexèmes' ],

Sorry to bother you every 5 minutes.

Change 619360 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add French translation for Special pages

https://gerrit.wikimedia.org/r/619360

I can't seem to verify this working on beta. The namespace dropdown on https://wikidata.beta.wmflabs.org/wiki/Special:WhatLinksHere/Property:P720 for example still lists the Property namespace in English when I set my interface language to French. Not sure what's going on.

I can't seem to verify this working on beta. The namespace dropdown on https://wikidata.beta.wmflabs.org/wiki/Special:WhatLinksHere/Property:P720 for example still lists the Property namespace in English when I set my interface language to French. Not sure what's going on.

It's T260073: Wikibase namespace names cannot be translated (anymore?). It should not work on any language (See T260073#6374262)

Michael set Due Date to Sep 29 2020, 10:00 PM.Sep 16 2020, 3:42 PM

Adding a two week due date as agreed in the retro, since the task that this waiting on is currently on top of the prioritized product column: T260073

@Michael @Lydia_Pintscher If the task is not completed, I would like to work on this. I am new to MediaWiki and open source. Need some guidance.

@Diwanshu885 We initially thought this was a good first task but it turns out to be considerably more complicated and depending on other tickets. We should have removed the tag. I'm very sorry about that. Doing that now. I hope you will find another good first task.

@Michael: Hi, the Due Date set for this open task is more than a month ago. Can you please either update or reset the Due Date (by clicking Edit Task), or set the status of this task to resolved in case this task is done? Thanks.

Eihel changed Due Date from Sep 29 2020, 10:00 PM to Sep 29 2021, 10:00 PM.Nov 30 2020, 4:31 PM
Eihel changed Due Date from Sep 29 2021, 10:00 PM to Sep 29 2020, 10:00 PM.

Let’s close this. The French namespace translations are merged, and the problem that they’re not applied is not specific to the French translations. We’ll hopefully pick up T260073 soon (it’s in the backlog) and resolve that problem. In the meantime, I don’t think it’s useful to keep this task open and in the “stalled” column.